petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESLineSearchSetDefaultMonitor

Turns on/off printing useful information and debugging output about the line search.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchSetDefaultMonitor(SNESLineSearch linesearch, PetscViewer viewer)

### Input Parameters

| linesearch | - the linesearch object Many br
| viewer | - an ASCII PetscViewer or NULL to turn off monitor Many br

Logically Collective on SNESLineSearch Many br

### Options Database

-snes_linesearch_monitor [:filename] -enables the monitor Many br

Many br

Developer Note: This monitor is implemented differently than the other SNESLineSearchMonitors that are set with Many brSNESLineSearchMonitorSet() since it is called in many locations of the line search routines to display aspects of the Many brline search that are not visible to the other monitors. Many br

### See Also

SNESLineSearchGetDefaultMonitor(), PetscViewer, SNESLineSearchSetMonitor()

Level:intermediate
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages